From 4b593e032b37220192624571c50d8cbf1e9d4066 Mon Sep 17 00:00:00 2001
From: Holger Just <hjust@meine-er.de>
Date: Wed, 29 Aug 2012 10:44:09 +0200
Subject: Replace rake generate_session_store with generate_secret_token

Rails 3 uses a secret token in various places. The former cookie
secret has thus been re-purposed to a generic secret token which
is generated with the new task.

The former task also configured the cookie session store. this is
now done in application.rb and can be overridden in the
additional_environment.rb

--HG--
extra : source : 6dff1cef6503358bf3b8bde8425eff8f9cd5b8ed
---
 config/application.rb       |    2 ++
 lib/tasks/initializers.rake |   32 +++++++++++++-------------------
 2 files changed, 15 insertions(+), 19 deletions(-)

diff --git a/config/application.rb b/config/application.rb
index 8176a47..2a607af 100644
--- a/config/application.rb
+++ b/config/application.rb
@@ -55,6 +55,8 @@ module ChiliProject
     # parameters by using an attr_accessible or attr_protected declaration.
     config.active_record.whitelist_attributes = true
 
+    config.session_store :cookie_store, :key => '_chiliproject_session'
+
     if File.exists?(File.join(File.dirname(__FILE__), 'additional_environment.rb'))
       instance_eval File.read(File.join(File.dirname(__FILE__), 'additional_environment.rb'))
     end
